Introducing Managed ClickStack: Observability for OpenTelemetry at scale Read more →
Introducing Managed ClickStack: Observability for OpenTelemetry at scale Read more →
Creates a new dashboard
curl --request POST \
--url https://api.hyperdx.io/api/v2/dashboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "API Monitoring Dashboard",
"tiles": [
{
"name": "API Request Volume",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "service:api",
"groupBy": []
}
]
}
],
"tags": [
"api",
"monitoring"
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "API Monitoring Dashboard",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "API Request Volume",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "service:api",
"groupBy": []
}
]
}
],
"tags": [
"api",
"monitoring"
]
}
}Documentation Index
Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successfully created dashboard
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.hyperdx.io/api/v2/dashboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "API Monitoring Dashboard",
"tiles": [
{
"name": "API Request Volume",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "service:api",
"groupBy": []
}
]
}
],
"tags": [
"api",
"monitoring"
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "API Monitoring Dashboard",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "API Request Volume",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "events",
"aggFn": "count",
"where": "service:api",
"groupBy": []
}
]
}
],
"tags": [
"api",
"monitoring"
]
}
}